The Transitions class contains static methods that define easing functions. Those functions are used by the Tween class to execute animations.

Here is a visual representation of the available transitions:

You can define your own transitions through the "registerTransition" function. A transition must have the following signature, where `ratio` is in the range 0-1:

    myTransition(ratio:number):number

### Hierarchy

- Transitions

## Index

### Properties

- EASE_IN
- EASE_IN_BACK
- EASE_IN_BOUNCE
- EASE_IN_ELASTIC
- EASE_IN_OUT
- EASE_IN_OUT_BACK
- EASE_IN_OUT_BOUNCE
- EASE_IN_OUT_ELASTIC
- EASE_OUT
- EASE_OUT_BACK
- EASE_OUT_BOUNCE
- EASE_OUT_ELASTIC
- EASE_OUT_IN
- EASE_OUT_IN_BACK
- EASE_OUT_IN_BOUNCE
- EASE_OUT_IN_ELASTIC
- LINEAR

### Methods

- getTransition
- register

## Properties

### Static EASE_IN

EASE_IN: string

- Defined in lib/starling/animation/Transitions.d.ts:18

### Static EASE_IN_BACK

EASE_IN_BACK: string

- Defined in lib/starling/animation/Transitions.d.ts:22

### Static EASE_IN_BOUNCE

EASE_IN_BOUNCE: string

- Defined in lib/starling/animation/Transitions.d.ts:30

### Static EASE_IN_ELASTIC

EASE_IN_ELASTIC: string

- Defined in lib/starling/animation/Transitions.d.ts:26

### Static EASE_IN_OUT

EASE_IN_OUT: string

- Defined in lib/starling/animation/Transitions.d.ts:20

### Static EASE_IN_OUT_BACK

EASE_IN_OUT_BACK: string

- Defined in lib/starling/animation/Transitions.d.ts:24

### Static EASE_IN_OUT_BOUNCE

EASE_IN_OUT_BOUNCE: string

- Defined in lib/starling/animation/Transitions.d.ts:32

### Static EASE_IN_OUT_ELASTIC

EASE_IN_OUT_ELASTIC: string

- Defined in lib/starling/animation/Transitions.d.ts:28

### Static EASE_OUT

EASE_OUT: string

- Defined in lib/starling/animation/Transitions.d.ts:19

### Static EASE_OUT_BACK

EASE_OUT_BACK: string

- Defined in lib/starling/animation/Transitions.d.ts:23

### Static EASE_OUT_BOUNCE

EASE_OUT_BOUNCE: string

- Defined in lib/starling/animation/Transitions.d.ts:31

### Static EASE_OUT_ELASTIC

EASE_OUT_ELASTIC: string

- Defined in lib/starling/animation/Transitions.d.ts:27

### Static EASE_OUT_IN

EASE_OUT_IN: string

- Defined in lib/starling/animation/Transitions.d.ts:21

### Static EASE_OUT_IN_BACK

EASE_OUT_IN_BACK: string

- Defined in lib/starling/animation/Transitions.d.ts:25

### Static EASE_OUT_IN_BOUNCE

EASE_OUT_IN_BOUNCE: string

- Defined in lib/starling/animation/Transitions.d.ts:33

### Static EASE_OUT_IN_ELASTIC

EASE_OUT_IN_ELASTIC: string

- Defined in lib/starling/animation/Transitions.d.ts:29

### Static LINEAR

LINEAR: string

- Defined in lib/starling/animation/Transitions.d.ts:17

## Methods

### Static getTransition

- getTransition(name: string): function

- - Defined in lib/starling/animation/Transitions.d.ts:36

  Returns the transition that was registered under a certain name.

  #### Parameters

  - ##### name: string

  #### Returns function

  - - (number: any): number

    - #### Parameters

      - ##### number: any

      #### Returns number

### Static register

- register(name: string, func: function): void

- - Defined in lib/starling/animation/Transitions.d.ts:39

  Registers a new transition under a certain name.

  #### Parameters

  - ##### name: string

  - ##### func: function

    - - (number: any): number

      - #### Parameters

        - ##### number: any

        #### Returns number

  #### Returns void

Generated using TypeDoc